package com.heyu.api.data.service.impl.system;
/**
* <p>
* 数据-区域 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.system.SystemAddressDao;
import com.heyu.api.data.entity.system.SystemAddressEntity;
import com.heyu.api.data.service.system.SystemAddressService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class SystemAddressServiceImpl extends ServiceImpl<SystemAddressDao, SystemAddressEntity> implements SystemAddressService {


    @Autowired
	private SystemAddressDao systemAddressDao;



	@Override
	public SystemAddressEntity selectSystemAddressById(Long id){
		return systemAddressDao.selectSystemAddressById(id);
	}



	@Override
	public Long insertSystemAddress(SystemAddressEntity systemAddress){
		return systemAddressDao.insertSystemAddress(systemAddress);
	}



	@Override
	public Long insertOrUpdateSystemAddress(SystemAddressEntity systemAddress){
		return systemAddressDao.insertOrUpdateSystemAddress(systemAddress);
	}



	@Override
	public int updateSystemAddressById(SystemAddressEntity systemAddress){
		return systemAddressDao.updateSystemAddressById(systemAddress);
	}



	@Override
	public int updateCoverSystemAddressById(SystemAddressEntity systemAddress){
		return systemAddressDao.updateCoverSystemAddressById(systemAddress);
	}



	@Override
	public int deleteSystemAddressById(Long id){
		return systemAddressDao.deleteSystemAddressById(id);
	}



}
